﻿using System;
using System.Windows.Controls;
using System.Windows.Threading;

namespace FlipNumberClock
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            OnTimerTick(null, null);

            DispatcherTimer tmr = new DispatcherTimer();
            tmr.Interval = TimeSpan.FromSeconds(1);
            tmr.Tick += OnTimerTick;
            tmr.Start();
        }

        void OnTimerTick(object sender, EventArgs args)
        {
            DateTime dt = DateTime.Now;
            secondLo.Number = dt.Second % 10;
            secondHi.Number = dt.Second / 10;
            minuteLo.Number = dt.Minute % 10;
            minuteHi.Number = dt.Minute / 10;

            int hour12 = (dt.Hour - 1) % 12 + 1;
            hourLo.Number = hour12 % 10;
            hourHi.Number = hour12 / 10;
        }
    }
}
